/*-*-linux-c-*-*/

/*
 *  gnewtellium - Newtella for Unix
 *  Copyright (C) 2001 Elias Athanasopoulos
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

int download_write(gpointer gdata, gint s, GdkInputCondition cond);
int download_read(gpointer gdata, gint s, GdkInputCondition cond);
int newtella_accept(gpointer data, gint source, GdkInputCondition cond);
int download_add(struct file_found *download_file);
int download_start(struct newtella_connection *dcon, gint resume);
int download_stop(struct newtella_connection *dcon, const gchar *reason);
int download_kill(struct newtella_connection *dcon);

void download_resume(struct newtella_connection *dcon);



